- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
FullWrtParserInternal::State Struct Reference

Internal: the state of a FullWrtParser. More...

## Public Member Functions
| State ()
| constructor More...
bool | addCorrespondance (int docId, int fileId)
| insert a docId fileId in the correspondance map More...
int | getFileZoneId (int docId) const
| return the file zone id ( if found or -1) More...

## Public Attributes
bool | m_pageSpanSet
| a flag to know if the page span has been filled More...
int | m_zoneFlagsId [3]
| the list of main zone flags id More...
FullWrtStruct::EntryPtr | m_fileZoneList
| the list of file zone position More...
FullWrtStruct::EntryPtr | m_fileZoneFlagsList
| the list of file zone flags More...
std::vector< DocZoneStruct > | m_docZoneList
| the list of the documents zone list More...
std::map< int, int > | m_docFileIdMap
| the correspondance doc id -> file id More...
std::map< int, int > | m_fileDocIdMap
| the correspondance file id -> doc id More...
int | m_biblioId
| the bibliography id More...
std::multimap< int, FullWrtStruct::EntryPtr > | m_entryMap
| zoneId -> entry More...
std::map< int, int > | m_variableRedirectMap
| redirection docId -> variable docId More...
std::map< int, ReferenceCalledData > | m_referenceRedirectMap
| redirection docId -> reference docId More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a FullWrtParser.

## Constructor & Destructor Documentation

FullWrtParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool FullWrtParserInternal::State::addCorrespondance | ( | int | docId,
|  | int | fileId
| ) |  |
| inline

insert a docId fileId in the correspondance map

int FullWrtParserInternal::State::getFileZoneId | ( | int | docId | ) | const
| inline

return the file zone id ( if found or -1)

## Member Data Documentation

int FullWrtParserInternal::State::m_actPage

the actual page

int FullWrtParserInternal::State::m_biblioId

the bibliography id

std::map<int,int> FullWrtParserInternal::State::m_docFileIdMap

the correspondance doc id -> file id

Referenced by addCorrespondance(), and getFileZoneId().

std::vector<DocZoneStruct> FullWrtParserInternal::State::m_docZoneList

the list of the documents zone list

Referenced by addCorrespondance().

std::multimap<int, FullWrtStruct::EntryPtr > FullWrtParserInternal::State::m_entryMap

zoneId -> entry

Referenced by addCorrespondance().

std::map<int,int> FullWrtParserInternal::State::m_fileDocIdMap

the correspondance file id -> doc id

Referenced by addCorrespondance().

FullWrtStruct::EntryPtr FullWrtParserInternal::State::m_fileZoneFlagsList

the list of file zone flags

FullWrtStruct::EntryPtr FullWrtParserInternal::State::m_fileZoneList

the list of file zone position

int FullWrtParserInternal::State::m_footerHeight

the footer height if known

int FullWrtParserInternal::State::m_headerHeight

the header height if known

int FullWrtParserInternal::State::m_numPages

the number of page of the final document

bool FullWrtParserInternal::State::m_pageSpanSet

a flag to know if the page span has been filled

std::map<int,ReferenceCalledData> FullWrtParserInternal::State::m_referenceRedirectMap

redirection docId -> reference docId

std::map<int,int> FullWrtParserInternal::State::m_variableRedirectMap

redirection docId -> variable docId

int FullWrtParserInternal::State::m_zoneFlagsId[3]

the list of main zone flags id

Referenced by State().

The documentation for this struct was generated from the following file:

- FullWrtParser.cxx